int LED_Vert1 = 3;          
int LED_Rouge1 = 5;         
int LED_Bleu1  = 6;
int LED_Vert2 = 9;      
int LED_Rouge2 = 10;          
int LED_Bleu2  = 11;         
int bouton = 2;        

int appuiBouton ;      
int compteur ;        
int i = 0;

void ledRVB(int Rouge1, int Vert1, int Bleu1, int Rouge2, int Vert2, int Bleu2) {
 if (Rouge1==1) digitalWrite(LED_Rouge1,HIGH); 
 if (Rouge1==0) digitalWrite(LED_Rouge1,LOW); 
 if (Vert1==1) digitalWrite(LED_Vert1,HIGH); 
 if (Vert1==0) digitalWrite(LED_Vert1,LOW); 
 if (Bleu1==1) digitalWrite(LED_Bleu1,HIGH); 
 if (Bleu1==0) digitalWrite(LED_Bleu1,LOW); 
 if (Rouge2==1) digitalWrite(LED_Rouge2,HIGH); 
 if (Rouge2==0) digitalWrite(LED_Rouge2,LOW); 
 if (Vert2==1) digitalWrite(LED_Vert2,HIGH); 
 if (Vert2==0) digitalWrite(LED_Vert2,LOW); 
 if (Bleu2==1) digitalWrite(LED_Bleu2,HIGH); 
 if (Bleu2==0) digitalWrite(LED_Bleu2,LOW); 
}

void ledRVBpwm(int pwmRouge1, int pwmVert1, int pwmBleu1, int pwmRouge2, int pwmVert2, int pwmBleu2) { 
 analogWrite(LED_Rouge1, pwmRouge1); 
 analogWrite(LED_Vert1, pwmVert1); 
 analogWrite(LED_Bleu1, pwmBleu1); 
 analogWrite(LED_Rouge2, pwmRouge2); 
 analogWrite(LED_Vert2, pwmVert2); 
 analogWrite(LED_Bleu2, pwmBleu2); 
}

void setup()
{
 pinMode(LED_Vert1, OUTPUT);     
 pinMode(LED_Rouge1, OUTPUT);     
 pinMode(LED_Bleu1, OUTPUT);     
 pinMode(LED_Vert2, OUTPUT);     
 pinMode(LED_Rouge2, OUTPUT);     
 pinMode(LED_Bleu2, OUTPUT);     
 compteur = 0;
 pinMode(bouton, INPUT);   
}

void loop() {
  //compteur appui bouton
  boolean appuiBouton = digitalRead(bouton);
  if (appuiBouton == HIGH){
    compteur = compteur + 1;
    delay(100);
  }
  switch (compteur){
    case 1 :
     ledRVB(1,0,0,1,0,0);
     delay(100);
    break;    
     
    case 2 :
     ledRVB(0,1,0,0,1,0);
     delay(100);
    break;
     
    case 3 :
     ledRVB(0,0,1,0,0,1);
     delay(100);
    break;
    
    case 4 :
     ledRVB(1,1,1,1,1,1);
     delay(100);
     break;    
       
    case 5 :
     ledRVB(1,1,1,1,1,1);    
     delay(100);
     ledRVB(0,0,0,0,0,0);  
     delay(100);   
    break;    
    
    case 6 :
     ledRVB(1,0,0,1,0,0);    
     delay(100);
     ledRVB(0,0,0,0,0,0);  
     delay(100);   
    break;    
    
    case 7 :
     ledRVB(0,1,0,0,1,0);    
     delay(100);
     ledRVB(0,0,0,0,0,0);  
     delay(100);   
    break;    
    
    case 8 :
     ledRVB(0,0,1,0,0,1);    
     delay(100);
     ledRVB(0,0,0,0,0,0);  
     delay(100);   
    break;  
    
    case 9 :  
     ledRVBpwm(255,0,0,255,0,0);   
     delay(200);
     ledRVBpwm(0,255,0,255,0,0);  
     delay(200); 
     ledRVBpwm(0,255,0,0,255,0);   
     delay(200);
     ledRVBpwm(255,0,0,0,255,0);  
     delay(200);
    break;
     
    case 10 :
     ledRVBpwm(0,255,0,0,255,0);    
     delay(200);
     ledRVBpwm(0,0,255,0,255,0);  
     delay(200); 
     ledRVBpwm(0,0,255,0,0,255);   
     delay(200);
     ledRVBpwm(0,255,0,0,0,255);  
     delay(200);
    break;
     
    case 11 : 
     ledRVBpwm(0,0,255,0,0,255);    
     delay(200);
     ledRVBpwm(255,0,0,0,0,255);  
     delay(200); 
     ledRVBpwm(255,0,0,255,0,0);  
     delay(200);
     ledRVBpwm(0,0,255,255,0,0);  
     delay(200);
    break;

    case 12 :
     for ( i=0; i<=255; i+=1) {  
       ledRVBpwm(i,0,0,i,0,0); 
       delay(10);
       }
     for ( i=0; i<=255; i+=1) {
       ledRVBpwm(255-i,0,i,255-i,0,i); 
       delay(10);
       }       
     for ( i=0; i<=255; i+=1) {
       ledRVBpwm(i,0,255,i,0,255); 
       delay(10);
       }
     for ( i=0; i<=255; i+=1) {
       ledRVBpwm(255,i,255-i,255,i,255-i); 
       delay(10);
       }  
     for ( i=0; i<=255; i+=1) {
       ledRVBpwm(255-i,255,0,255-i,255,0);
       delay(10);
       } 
     for ( i=0; i<=255; i+=1) {
       ledRVBpwm(0,255,i,0,255,i); 
       delay(10);
       } 
     for ( i=0; i<=255; i+=1) {
       ledRVBpwm(0,255-i,255-i,0,255-i,255-i); 
       delay(10);
       }                  
     delay(200);  
    break; 
        
    case 13 :
     ledRVBpwm(0,0,0,0,0,0);
     compteur = 0;
     delay(2000);
    break;
  }
}


